> For the complete documentation index, see [llms.txt](https://docs.alignedlayer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alignedlayer.com/operators/upgrading-guides/v0_9_2.md).

# Upgrading to v0.9.2

This guide will walk you through the process of upgrading your Aligned Operator to v0.9.2.

## Changes

### New Features

* fix: operator downtime by @MarcosNicolau in [#1073](https://github.com/yetanotherco/aligned_layer/pull/1073)
* fix: operator commands by @MarcosNicolau in [#1184](https://github.com/yetanotherco/aligned_layer/pull/1184)
* fix: operator resets channel when updating latest block file by @MarcosNicolau in [#1200](https://github.com/yetanotherco/aligned_layer/pull/1200)

## How to upgrade

### Step 1 - Update the configuration for your specific Operator

This version requires update the operator configuration file adding the following fields:

```yaml
## Operator Configurations
operator:
  last_processed_batch_filepath: '<path to a file to store the last processed batch>'
```

{% hint style="warning" %}
Make sure the directory where the file is stored exists and the operator has write permissions to it.

We suggest to use absolute paths to avoid ambiguity.
{% endhint %}

### Step 2 - Update the Operator

Inside the Aligned repository, run:

```bash
make update_operator
```

This will recreate the binaries. You can then proceed to restart the operator.

### Step 3 - Check the Operator Version

To see the operator version, run:

```bash
./operator/build/aligned-operator --version
```

This will display the current version of the operator binary.

```
Aligned Layer Node Operator version v0.9.2
```

### Step 4 - Restart the Operator

Restart the operator based on your system config


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alignedlayer.com/operators/upgrading-guides/v0_9_2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
